// sys_snds.cpp
//
// Cycles through the system sounds using the MessageBeep() API.
//
// Note that some builds of Windows CE may not have all system
// sound files included in the build.  You can use the sound
// files included with this project to test.
//
// 18mar02 ADS/ak
//

#include "stdafx.h"

#define SLEEP_DUR 1500

int WINAPI WinMain(	HINSTANCE hInstance,
					HINSTANCE hPrevInstance,
					LPTSTR    lpCmdLine,
					int       nCmdShow)
{

  RETAILMSG (1,(_T("* Playing system sounds using the MessageBeep() API...\r\n")));

  for (int i=5; i>0; i--)
  {

    RETAILMSG (1,(_T("%d: "),i));

    RETAILMSG (1,(_T("MB_OK(system default)...")));
    MessageBeep (MB_OK);
    Sleep (SLEEP_DUR);

    RETAILMSG (1,(_T("MB_ICONASTERISK...")));
    MessageBeep (MB_OK);
    Sleep (SLEEP_DUR);

    RETAILMSG (1,(_T("MB_ICONEXCLAMATION...")));
    MessageBeep (MB_OK);
    Sleep (SLEEP_DUR);

    RETAILMSG (1,(_T("MB_ICONHAND...")));
    MessageBeep (MB_ICONHAND);
    Sleep (SLEEP_DUR);

    RETAILMSG (1,(_T("MB_ICONQUESTION...\r\n")));
    MessageBeep (MB_ICONQUESTION);
    Sleep (SLEEP_DUR);
  }

	return 0;
}

